### Method

# Gtk Gridinsert_next_to

#### Declaration [src]

    void
    gtk_grid_insert_next_to (
      GtkGrid* grid,
      GtkWidget* sibling,
      GtkPositionType side
    )

#### Description [src]

Inserts a row or column at the specified position.

The new row or column is placed next to `sibling`, on the side determined by `side`. If `side` is `GTK_POS_TOP` or `GTK_POS_BOTTOM`, a row is inserted. If `side` is `GTK_POS_LEFT` of `GTK_POS_RIGHT`, a column is inserted.

#### Parameters

`sibling`

  Type: `GtkWidget`

  The child of `grid` that the new row or column will be placed next to.

  The data is owned by the caller of the method.

`side`

  Type: `GtkPositionType`

  The side of `sibling` that `child` is positioned next to.